Subject: Re: [bug#64620] [PATCH] gnu: home: Add home-emacs-service-type.

From: "(" <[email-masked]>
Date: Mon, 28 Aug 2023 07:24:48 +0100

Kierin Bell <[email-masked]> writes:
> Although there is an EXTRA-PACKAGES field for Guix packages (I use it,
> e.g., for font packages) and a CONFIGURED-PACKAGES field specifically
> for installing Emacs packages, I do like the idea of having a separate
> Emacs profile, or even a separate profile for each Emacs server.

Oh, nice.  That means native-comp could be supported quite easily, just
by transforming the packages.  (I meant that easy native-comp was made
possible by a PACKAGES field, not by having an Emacs profile :))

> Looking at the Emacs build system modules, I'm not sure exactly how
> building separate profiles would allow native-comp without transforming
> the package inputs.  Isn't the build system basically hard-coded to use
> `emacs-minimal' for building Emacs packages (i.e., unless we manually
> transform the package inputs)?

Yes, that's what I meant; map a transformation procedure over the Emacs
packages given :)

  -- (